
import axios from '@/ajax.js';

const webBaseUrl = '/web'

//新快速特勤
export function isValidPoint(data) {
    return axios({
        url: webBaseUrl+"/specialService/isValidPoint",
        method: 'post',
        data: data
    })
}

//获取最佳路线
export function specialServiceRoute(data) {
    return axios({
        url: webBaseUrl+"/specialService/specialServiceRoute",
        method: 'post',
        data: data
    })
}

//获取特勤列表
export function listSpecialServices(data) {
    return axios({
        url: webBaseUrl+"/specialService/listSpecialServices",
        method: 'get',
        params: data
    })
}

//添加编辑特勤
export function addOrUpdateSpecialService(data) {
    return axios({
        url: webBaseUrl+"/specialService/addOrUpdateSpecialService",
        method: 'post',
        data: data
    })
}

//特勤详情
export function specialServiceDetail(data) {
    return axios({
        url: webBaseUrl+"/specialService/specialServiceDetail",
        method: 'post',
        data: data
    })
}

//删除特勤
export function deleteSpecialService(data) {
    return axios({
        url: webBaseUrl+"/specialService/deleteSpecialService",
        method: 'post',
        data: data
    })
}
//修改特勤详情
export function updateSpecialServiceDetail(data) {
    return axios({
        url: webBaseUrl+"/specialService/updateSpecialServiceDetail",
        method: 'post',
        data: data
    })
}
//获取路口驶入方向
export function getInDirList(data) {
    return axios({
        url: webBaseUrl+"/specialService/getInDirList",
        method: 'post',
        data: data
    })
}
//获取路口驶出方向
export function getOutDirList(data) {
    return axios({
        url: webBaseUrl+"/specialService/getOutDirList",
        method: 'post',
        data: data
    })
}

//批量锁定、解锁
export function batchLock(data) {
    return axios({
        url: webBaseUrl+"/specialService/batchLock",
        method: 'post',
        data: data
    })
}


//获取分组列表
export function groupList(data) {
    return axios({
        url:webBaseUrl+ "/specialService/groupList",
        method: 'post',
        data: data
    })
}
//修改分组
export function updateGroup(data) {
    return axios({
        url: webBaseUrl+"/specialService/updateGroup",
        method: 'post',
        data: data
    })
}
//删除分组
export function deleteGroup(data) {
    return axios({
        url: webBaseUrl+"/specialService/deleteGroup",
        method: 'post',
        data: data
    })
}
//自动解锁
export function autoUnlockApi(data) {
    return axios({
        url:webBaseUrl+ "/specialService/autoUnlock",
        method: 'post',
        data: data
    })
}



//路口列表
export function reqLineCross(data) {
    return axios({
        url: webBaseUrl+"/specialService/crossList",
        method: 'post',
        data: data
    })
}

//一键特勤
export function enableSpecialService(data) {
    return axios({
        url: webBaseUrl+"/specialService/enableSpecialService",
        method: 'post',
        data: data
    })
}
//一键特勤取消
export function disableSpecialService(data) {
    return axios({
        url: webBaseUrl+"/specialService/disableSpecialService",
        method: 'post',
        data: data
    })
}
//路口进口列表
export function crossInList(data) {
    return axios({
        url: webBaseUrl+"/specialService/crossInList",
        method: 'post',
        data: data
    })
}
//删除特勤
// export function deleteSpecialService(data) {
//     return axios({
//         url: "/specialService/deleteSpecialService",
//         method: 'post',
//         data: data
//     })
// }
//添加特勤
export function reqSaveSpecialService(data) {
    return axios({
        url: webBaseUrl+"/specialService/addSpecialService",
        method: 'post',
        data: data
    })
}
//修改特勤
export function reqUpdateSpecialService(data) {
    return axios({
        url: webBaseUrl+"/specialService/updateSpecialService",
        method: 'post',
        data: data
    })
}
//添加路口
export function reqAddSpecialServiceCross(data) {
    return axios({
        url: webBaseUrl+"/specialService/addCross",
        method: 'post',
        data: data
    })
}
//更新路口
export function reqUpdateSpecialServiceCross(data) {
    return axios({
        url: webBaseUrl+"/specialService/updateCross",
        method: 'post',
        data: data
    })
}
//删除路口
export function reqDelSpecialServiceCross(data) {
    return axios({
        url: webBaseUrl+"/specialService/deleteCross",
        method: 'post',
        data: data
    })
}


